"use strict";
const fs = require("fs");
const glob = require("glob");
let deleteFolderRecursive = (path) => {
    if (fs.existsSync(path)) {
        fs.readdirSync(path).forEach((file, index) => {
            let curPath = path + '/' + file;
            if (fs.lstatSync(curPath).isDirectory()) {
                deleteFolderRecursive(curPath);
            }
            else {
                fs.unlinkSync(curPath);
            }
        });
        fs.rmdirSync(path);
    }
};
exports.clean = (tools) => {
    deleteFolderRecursive('./build');
    let rogueFiles = glob.sync('{src,test}/**/*.js{,.map}', {});
    rogueFiles.forEach((file) => fs.unlinkSync(file));
};
//# sourceMappingURL=clean.js.map