"use strict";
exports.commit = (tools) => {
    let { formatter, linter, bus, compiler, git, logger } = tools;
    formatter.format().then(() => {
        formatter.startVerifying('compile-compiled');
        linter.start('format-verified');
        bus.register('lint-linted', () => {
            compiler.stop();
            formatter.stopVerifying();
            linter.stop();
            git.execute(['add', '.']).then(() => {
                git.execute(['commit', '--no-verify']).then(() => {
                    logger.log('commit', 'committed');
                    process.exit(0);
                });
            }, (error) => logger.error('commit', error));
        });
        compiler.start();
    });
};
//# sourceMappingURL=commit.js.map