"use strict";
const glob = require("glob");
const path_1 = require("path");
const fs_1 = require("fs");
const DEFAULT_CONFIG = {
    testDir: 'test'
};
;
exports.createConfiguration = () => {
    // todo load and parse tsa.json5 file if it exists
    let tsaConfig = DEFAULT_CONFIG;
    // tsa will not run without a tsconfig.json file
    /* tslint:disable:no-require-imports */
    let tsConfig = JSON.parse(fs_1.readFileSync(path_1.join(process.cwd(), './tsconfig.json'), 'UTF-8'));
    // let tsConfig = require('./tsconfig.json');
    if (!tsConfig.compilerOptions.outDir) {
        throw new Error('No outdir found in tsconfig.json, please add "outDir": "./build/js" to the compilerOptions');
    }
    let compiledTestFolder = path_1.join(tsConfig.compilerOptions.outDir, tsaConfig.testDir);
    return {
        findCompiledTestFiles: () => {
            return new Promise((resolve, reject) => {
                glob(path_1.join(compiledTestFolder, '**/*.js'), {}, (error, matches) => {
                    if (error) {
                        reject(error);
                    }
                    else {
                        resolve(matches);
                    }
                });
            });
        }
    };
};
//# sourceMappingURL=configuration.js.map