"use strict";
;
exports.createConsoleLogger = () => {
    let currentCategory;
    let setCategory = (category) => {
        if (category !== currentCategory) {
            console.log(`${category}:`);
            currentCategory = category;
        }
    };
    return {
        log: (category, message) => {
            setCategory(category);
            console.log('  ' + message);
        },
        error: (category, message) => {
            setCategory(category);
            console.error('! ' + message);
        }
    };
};
//# sourceMappingURL=logger.js.map